<%@page import="java.util.*,java.io.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bOrdRepara,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%	} 
	String persona = (String) session.getAttribute("persona");
%>
	<%@ include file="/m05bIdioma.inc"%>
	
<HTML>
<%  String norden = request.getParameter("NOrden");  
	String fSalida = (String) session.getAttribute("OTFSalida");
	//String persona = (String) session.getAttribute("persona");
	
	String fEntrada = request.getParameter("FEntrada")==null?"":request.getParameter("FEntrada");
	String hEntrada = request.getParameter("HEntrada")==null?"":request.getParameter("HEntrada");

%>

<head>

		<title>Reparaciones Efectuadas</title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
</head>
<BODY style="cursor: wait"  onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma
	var rutaCabecera;	//Camino de migas
	rutaCabecera = "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='/m05bParqueMovilWar/m05bOrdenesTrabajoJsp.jsp?Codigo=<%=norden%>'>\\"+'<%=resCM.getString("cmOT")%>'+"</a>";
	rutaCabecera += "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='/m05bParqueMovilWar/m05bVehOrdRepaJsp.jsp?NOrden=<%=norden%>'>\\"+'<%=resCM.getString("cmMtoRepEfectuadas")%>'+"</a>";
	detActual = '<%=resCM.getString("cmOR")%>';
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
		<FORM NAME="formOrdRepa" METHOD="POST">
				<%
				String codigo, sql = "", mensaje, accion;
				m05bCombo miCombo = new m05bCombo();
				m05bFileLog miLog = new m05bFileLog();
				m05bDescrip miDescrip = new m05bDescrip();
				//m05bCombo miCombo2 = new m05bCombo();
				codigo = request.getParameter("Codigo");
				miLog.addTraza(persona, "Ord Repa", "INICIO", m05bConstantes.LOG_NIVEL_BAJO);
				m05bOrdRepara ordrepa = null;
				/*StringBuffer sql2 = new StringBuffer();
				sql2.append("SELECT ").append(m05bConstantes.COL_19_CODIGO);
				sql2.append(" FROM ").append(m05bConstantes.TAB_ORDEREPAR);
				sql2.append(" ORDER BY ").append(m05bConstantes.COL_19_CODIGO).append(" DESC");*/
				if ( (codigo==null) || (codigo.equals("")) ) {
					codigo= "";
					accion=m05bConstantes.ACC_INSERTAR;
					session.removeAttribute("m05bOrdRepara");
				 //  try {
				 //          m05bbBeginSelect(sql2.toString());
				 ///          int cod=0;
				 //          m05bRS = m05bPStmt.executeQuery();
				 //          if  (m05bRS.next() == true){
				 //           codigo=m05bRS.getString(m05bConstantes.COL_19_CODIGO);
				 //          }
				 //          cod=Integer.parseInt(codigo);
				 //          cod++;
				 //          codigo=""+cod;
				  //  }
				   // catch (Exception SQLException){
				    //    miLog.addTraza(SQLException);
				    //    m05bEndSelect();
				    //}*/
				} else   {
					accion=m05bConstantes.ACC_ACTUALIZAR;
					ordrepa = (m05bOrdRepara)session.getAttribute("m05bOrdRepara");
				}
				mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
				if (mensaje.equals("true")) {
				    PrintWriter outMsg= response.getWriter();
				    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
				    outMsg.close();
				}

				if (ordrepa == null){
					ordrepa = new m05bOrdRepara();
					session.setAttribute("m05bOrdRepara",ordrepa);
				}
				String importe = ordrepa.getOrp_importe()==null?"":ordrepa.getOrp_importe();
				miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "CODIGO: " + codigo, m05bConstantes.LOG_NIVEL_BAJO);
				String tiempo = ordrepa.getOrp_tiempo()==null?"":ordrepa.getOrp_tiempo();
				miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "TIEMPO: " + tiempo, m05bConstantes.LOG_NIVEL_BAJO);				
				
				%>
					<!--      BOTONERA      -->
				  <TABLE class="buscar">
				    <tr>
		 			  		  <td align="right">
		 			  		    <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Retornar" ONCLICK="JavaScript:history.back();return false;" onMouseOver="top.status='Retornar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/retornar.gif"-->
		 			  		    <input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:retornar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  						      
		 			  		  </td>
						<% if (fSalida.equals("")) { %>
						      <!--td width="10%" align="right"> <INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Eliminar" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='Eliminar'; return false" onMouseOut="top.status=''; return false" src="/parquemovil/images/eliminar.gif"/> </td-->
                              <td width="10%" align="right"><input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  						      
						      <!--td width="10%" align="right"> <INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Grabar" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='Grabar'; return false" onMouseOut="top.status=''; return false" src="/parquemovil/images/grabar.gif"/> </td-->
                              <td width="10%" align="right"><input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  						      
						<% } %>
					</tr>
				  </TABLE>	
				  <TABLE class="buscar">
				    <tr>
					      <!--td width="10%" valign="top" align="left" class="searchTitle">C&oacute;digo</td-->
					      <td width="75%" align="left" class="inputFieldTitle" colspan="3"><%=res.getString("etOrden.2") %></td>
					      <td width="25%" align="left" class="inputFieldTitle"><%=res.getString("etOrden.11") %></td>
				    </tr>
				    <tr>
						  <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="CODIGO" VALUE="<%= ordrepa.getOrp_codigo()%>" onChange="fncObtieneRepa(this.value);" size="12" maxlength="22"></td>
 				          <!--td align="left">&nbsp;<INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Buscar" ONCLICK="JavaScript:fncBuscarRepa();return false;" onMouseOver="top.status='Buscar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/buscar.gif"/></td-->
 				          <td align="left">&nbsp;<input type="button" class="botonS" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncBuscarRepa();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  
				          <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Descripcion" VALUE="<%= miDescrip.getConceptoRepa(ordrepa.getOrp_codigo(),idiomaSes)%>" size="50" maxlength="100" ></td>
					      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Tiempo" VALUE="<%=tiempo%>" onblur="javascript:formatNumero(this);return false;" size="20" maxlength="20"></td>
					      <!--td align="left"><select class=inputField  NAME="CODIGO" VALUE="<%= ordrepa.getOrp_codigo()%>" >
					                    <option value=""> </option>
					                    <option value="<%= ordrepa.getOrp_codigo()%>" selected><%= ordrepa.getOrp_concepto()%></option>
					                    <%=miCombo.popCombo(m05bConstantes.COL_25_CODIGO,m05bConstantes.COL_25_DESCRIP,
					        		 		m05bConstantes.TAB_REPARACIONES, "", "","")%>
					           </select></td-->
				    </tr>
				    <tr>
					      <td align="left" class="inputFieldTitle" colspan="3"><%=res.getString("etOrden.3") %></td>
					      <td align="left" class="inputFieldTitle"><%=res.getString("etOrden.12") %></td>
				    </tr>
				    <tr>
					      <td align="left" colspan="3">
					      	 <select name="Empleado" class="inputFieldOblig" onKeypress="buscar_op(this,this)" onclick="borrar_buffer()" onblur="borrar_buffer()">
					            
					             <%if(request.getParameter("Empleado") != null && !request.getParameter("Empleado").equals("")){ %>
  						             <%=miCombo.popCombo( m05bConstantes.COL_07_CODIGO, m05bConstantes.COL_07_NOMBRE, m05bConstantes.TAB_EMPTALLER, m05bConstantes.COL_07_CODIGO, request.getParameter("Empleado"), ordrepa.getOrp_empleado())%>
  						             <%=miCombo.popComboExclu( m05bConstantes.COL_07_CODIGO, m05bConstantes.COL_07_NOMBRE, m05bConstantes.TAB_EMPTALLER, m05bConstantes.COL_07_CODIGO, request.getParameter("Empleado"),m05bConstantes.COL_07_ALTA, "'S'", ordrepa.getOrp_empleado())%>
  						              <option type="submit" size="25"></option>
					             <%}else{%>
						              <option type="submit" size="25"></option>
						             <%=miCombo.popCombo( m05bConstantes.COL_07_CODIGO, m05bConstantes.COL_07_NOMBRE, m05bConstantes.TAB_EMPTALLER, m05bConstantes.COL_07_ALTA, "'S'", ordrepa.getOrp_empleado())%>
					             <%}%>
  					         </select>
	  			          </td>
					      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Importe" VALUE="<%=importe%>" size="20" readonly /></td>
				    </tr>
				  </TABLE>
				<input type="hidden" name="NOrden" value="<%=norden%>">
				<input type="hidden" name="Codigo" value="<%= ordrepa.getOrp_codigo()%>">
				<input type="hidden" name="DescCpto">
				<input type="hidden" name="PrecHora">
				<% if (importe != null) { %>
					<script>
							formatNumeroDecimal(document.formOrdRepa.Importe,6,2);
					</script>
				<% } %>
	  		</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<SCRIPT language='javascript'>
		     function fncGrabar(codigo,accion) {
			    var docu=document.formOrdRepa;
			    if(existeCaracter(docu.CODIGO.value,"\'")||existeCaracter(docu.CODIGO.value,'\"')){
	     			alert(dameAlerta(idioma, 1));
	     			docu.CODIGO.focus();
	     			return;
	     		}
	     		if(existeCaracter(docu.Descripcion.value,"\'")||existeCaracter(docu.Descripcion.value,'\"')){
	     			alert(dameAlerta(idioma, 1));
	     			docu.Descripcion.focus();
	     			return;
	     		}
	     		if(existeCaracter(docu.Tiempo.value,"\'")||existeCaracter(docu.Tiempo.value,'\"')){
	     			alert(dameAlerta(idioma, 1));
	     			docu.Tiempo.focus();
	     			return;
	     		}
	     		if(existeCaracter(docu.Importe.value,"\'")||existeCaracter(docu.Importe.value,'\"')){
	     			alert(dameAlerta(idioma, 1));
	     			docu.Importe.focus();
	     			return;
	     		}
			    if (docu.CODIGO.value ==  "") {
			    	alert(dameAlerta(idioma, 139));
			    } else if (docu.Empleado.value ==  "") {
			    	alert(dameAlerta(idioma, 140));
			    } else {
					docu.Importe.disabled=false;
			        docu.action="m05bGrabarOrdenReparacionServlet?Codigo=" + codigo + "&Accion=" + accion;
			        docu.submit();
			    }
			}

			// Enlaza con la busqueda de reparaciones
			function fncBuscarRepa (){
			    	var docu=document.formOrdRepa;
				    
				    if(existeCaracter(docu.CODIGO.value,"\'")||existeCaracter(docu.CODIGO.value,'\"')){
		     			alert(dameAlerta(idioma, 1));
		     			docu.CODIGO.focus();
		     			return;
		     		}
		     		if(existeCaracter(docu.Descripcion.value,"\'")||existeCaracter(docu.Descripcion.value,'\"')){
		     			alert(dameAlerta(idioma, 1));
		     			docu.Descripcion.focus();
		     			return;
		     		}
				    var codigo=docu.CODIGO.value;
				    if (codigo == null) {
				    	codigo="";  
				    }
				    var descrip=docu.Descripcion.value;
				    if (descrip == null) {
				    	descrip="";
				    }
				    var name = formOrdRepa.name;
				    var propiedades="left=50,top=100,width=700,height=550,scrollbars=yes";
				    var ventana ='m05bRelReparacionJsp.jsp?Codigo='+codigo+'&Descripcion='+descrip+"&Origen="+name;
				    window.open(ventana,'',propiedades);
			} // Fin fncBuscarRepa  
			
			function fncObtieneRepa (codigoDirecto){
			    	var docu=document.formOrdRepa;
				    
				    if(existeCaracter(codigoDirecto,"\'")||existeCaracter(codigoDirecto,'\"')){
		     			alert(dameAlerta(idioma, 1));
		     			docu.CODIGO.focus();
		     			return;
		     		}
				    var codigoRep=codigoDirecto;
				    if (codigoRep == null) {
				    	codigoRep="";
				    }
				    var name = formOrdRepa.name;
				    var propiedades="left=50,top=100,width=700,height=550,scrollbars=yes";
				    var ventana ='m05bRelReparacionJsp.jsp?Codigo='+codigoDirecto+'&Directo=si&Origen='+name;
				    window.open(ventana,'',propiedades);
			} // Fin fncBuscarRepa 
			
			function retornar(){
				 var docu=document.formOrdRepa;
				 docu.action="m05bVehOrdRepaJsp.jsp?NOrden=" + docu.NOrden.value + "&FEntrada=<%=fEntrada%>&HEntrada=<%=hEntrada%>&FSalida=<%=fSalida%>";
				 docu.submit();
			}

    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>